#include <stdio.h>

// Vi måste ange ländgen på den andra dimension
void matcher(char min_resultat_array[] [7]) {
  int hemmavinst = 0;
  int oavgjord = 0;
  int bortavinst = 0;
    
  for (int i = 0; i < 10; ++i) {
    for (int j = 0; j < 7; ++j) {
      if (min_resultat_array[i] [j] == '1' ) {
	hemmavinst += 1;
      } else if (min_resultat_array[i] [j] == 'X') {
	oavgjord += 1;
      } else {
	// Ur säkerhetssynvinkel borde vi ha testat på på 2
	// gör antagandet att arrayen innehåller bara korrekta värden
	bortavinst += 1;
      }
    }

    printf("Omgång %d: Hemmavinst: %d Bortavinst: %d Oavgjorda %d\n",
	   i, hemmavinst, bortavinst, oavgjord);
    hemmavinst = bortavinst = oavgjord = 0;
  }
} /* matcher() */

int main() {

  char min_resultat_array[10] [7] = { { '1', '2','X', '1', 'X', 'X', '1' },
				      { '1', '1','X', '2', '2', 'X', '1' },
				      { '1', '1','1', '1', 'X', 'X', '1' },
				      { '1', '2','X', '1', '1', 'X', '2' },
				      { '1', '2','X', '2', 'X', 'X', '2' },
				      { 'X', '2','X', 'X', 'X', 'X', '1' },
				      { 'X', '1','X', '2', '1', '1', '1' },
				      { '2', '2','X', '2', 'X', '2', '1' },
				      { 'X', '1','1', '1', '1', 'X', '1' },
				      { '1', '2','X', '1', '2', '2', '2' } };


  matcher(min_resultat_array);
} /* main() */
